rte_flow_action_raw_decap(3)

NAME
rte_flow_action_raw_decap

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint8_t * data
size_t size

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

RTE_FLOW_ACTION_TYPE_RAW_DECAP

Raw tunnel end-point decapsulation data definition.

The data holds the headers definitions to be removed from the packet. The data must start with ETH header up to the tunnel item header itself. When used right before RAW_DECAP (for encapsulating L3 tunnel type for example MPLSoGRE) the data will just hold layer 2 header.

size holds the number of bytes in data.

Definition at line 3781 of file rte_flow.h.

Field Documentation

  uint8_t* data
Encapsulation data.

Definition at line 3782 of file rte_flow.h.

  size_t size
Size of data and preserve.

Definition at line 3783 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.